WP3UnsupportedVariableLengthGroup Class Reference

`#include <WP3UnsupportedVariableLengthGroup.h>`

Inheritance diagram for WP3UnsupportedVariableLengthGroup:

## Public Member Functions

| WP3UnsupportedVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Additional Inherited Members

Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP3UnsupportedVariableLengthGroup()

WP3UnsupportedVariableLengthGroup::WP3UnsupportedVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## parse()

void WP3UnsupportedVariableLengthGroup::parse | ( | WP3Listener * |  | ) |

inline override virtual

Implements WP3Part.

The documentation for this class was generated from the following files:

- WP3UnsupportedVariableLengthGroup.h
- WP3UnsupportedVariableLengthGroup.cpp